From 9f385445473405b875938951dee82d458534530e Mon Sep 17 00:00:00 2001
From: Peter Smith <peter.b.smith@fujitsu.com>
Date: Tue, 22 Apr 2025 13:40:56 +1000
Subject: [PATCH v3] DOCS - pg_controldata should have Option section with
 descriptions for -D and -V and -? options.

---
 doc/src/sgml/ref/pg_controldata.sgml | 47 ++++++++++++++++++++++++++++++++----
 1 file changed, 42 insertions(+), 5 deletions(-)

diff --git a/doc/src/sgml/ref/pg_controldata.sgml b/doc/src/sgml/ref/pg_controldata.sgml
index 0eb0abc..e890967 100644
--- a/doc/src/sgml/ref/pg_controldata.sgml
+++ b/doc/src/sgml/ref/pg_controldata.sgml
@@ -47,15 +47,52 @@ PostgreSQL documentation
    This utility can only be run by the user who initialized the cluster because
    it requires read access to the data directory.
    You can specify the data directory on the command line, or use
-   the environment variable <envar>PGDATA</envar>.  This utility supports the options
-   <option>-V</option> and <option>--version</option>, which print the
-   <application>pg_controldata</application> version and exit.  It also
-   supports options <option>-?</option> and <option>--help</option>, which output the
-   supported arguments.
+   the environment variable <envar>PGDATA</envar>.
   </para>
  </refsect1>
 
  <refsect1>
+  <title>Options</title>
+
+   <para>
+    The following command-line options are available:
+
+    <variablelist>
+     <varlistentry>
+      <term><option>-D <replaceable>datadir</replaceable></option></term>
+      <term><option>--pgdata=<replaceable>datadir</replaceable></option></term>
+      <listitem>
+       <para>
+        Specifies the location of the database directory.
+       </para>
+      </listitem>
+     </varlistentry>
+
+     <varlistentry>
+       <term><option>-V</option></term>
+       <term><option>--version</option></term>
+       <listitem>
+       <para>
+        Print the <application>pg_controldata</application> version and exit.
+       </para>
+       </listitem>
+     </varlistentry>
+
+     <varlistentry>
+      <term><option>-?</option></term>
+      <term><option>--help</option></term>
+       <listitem>
+        <para>
+         Show help about <application>pg_controldata</application> command line
+         arguments, and exit.
+        </para>
+       </listitem>
+      </varlistentry>
+    </variablelist>
+   </para>
+ </refsect1>
+
+ <refsect1>
   <title>Environment</title>
 
   <variablelist>
-- 
1.8.3.1

